/home/travis/build/boostorg/boost/boost/geometry/strategies/buffer.hpp File Reference

## Namespaces

namespace | boost
namespace | boost::geometry
namespace | boost::geometry::strategy
namespace | boost::geometry::strategy::buffer

## Enumerations

enum | boost::geometry::strategy::buffer::buffer_side_selector { boost::geometry::strategy::buffer::buffer_side_left, boost::geometry::strategy::buffer::buffer_side_right }
| Enumerates options for side of buffer (left/right w.r.t. directed segment) More...
enum | boost::geometry::strategy::buffer::join_selector { boost::geometry::strategy::buffer::join_convex, boost::geometry::strategy::buffer::join_concave, boost::geometry::strategy::buffer::join_continue, boost::geometry::strategy::buffer::join_spike }
| Enumerates types of joins. More...

enum

boost::geometry::strategy::buffer::piece_type {
boost::geometry::strategy::buffer::buffered_segment, boost::geometry::strategy::buffer::buffered_join, boost::geometry::strategy::buffer::buffered_round_end, boost::geometry::strategy::buffer::buffered_flat_end,
boost::geometry::strategy::buffer::buffered_point, boost::geometry::strategy::buffer::buffered_concave, boost::geometry::strategy::buffer::piece_type_unknown
}

| Enumerates types of pieces (parts of buffer) around geometries. More...
enum | boost::geometry::strategy::buffer::result_code { boost::geometry::strategy::buffer::result_normal, boost::geometry::strategy::buffer::result_error_numerical, boost::geometry::strategy::buffer::result_no_output }
| Enumerates types of result codes from buffer strategies. More...

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK